Das Forum

WIne version mismatch

Autor Antworten
rbarclay4711 Friday 4 October 2013 at 21:42
rbarclay4711Anonymous

Aloha,

I tried to create a new bottle for testing some new game, which would require Steam. There's a nice script for Steam, of course, and this worked for me in the past - in fact, I have two other Steam bottles that are working just fine.
The error I get is basically boils down to (abbreviated, full console output below):
[POL_Wine] Message: Running wine-1.5.25 --version (Working directory : /home/user/.PlayOnLinux)
...
wine client error:0: version mismatch 439/431.


I guessed it somehow finds some component from the system-wide Wine (which is 1.4.1), but if I run POL via (for example) PATH=/home/user/.PlayOnLinux//wine/linux-x86/1.5.25/bin/:$PATH playonlinux it doesn't change anything and I still get the version mismatch error.

So, a couple questions that might help me figure this out
 - how is the "default" Wine version for PlayOnLinux defined? I can't find it in the menus, and the version it selects (1.5.25) is neither the oldest nor the newest I've got installed
 - or is that version determined in the POL install script for Steam? (Where can I find this script (preferrably the version POL just downloaded)?

Any hints on what's going on here very much appreciated! From what I could by perusing Google I couldn't make all too much sense.

  • System details:

  • Debian 7.0 "wheezy", amd64, with bits&pieces from testing/unstable
  • Kernel: 3.9.2 (custom built)
  • Desktop: Enlightenment E17
  • PlayOnLinux: 4.2.1 (installed from the .deb from the website)
  • System-wide Wine: 1.4.1-4 (arch:i386)


Console output:
[POL_GPG_auth_script] Message: Checking signature of /home/user/.PlayOnLinux//install
[POL_GPG_install_key] Message: Importing PlayOnLinux public key
[POL_Bash] Message: POL GPG : Good signature - Steam
[POL_SetupWindow_Init] Message: Creating new window for pid 27495
[POL_SetupWindow_textbox] Message: textbox answer: s3
[POL_Wine_SelectPrefix] Message: Selecting prefix: s3
[POL_System_SetArch] Message: POL_ARCH set to x86
[POL_System_SetArch] Message: POL_ARCH set to x86
[POL_Wine_PrefixCreate] Message: Setting POL_WINEVERSION to 1.5.25
[POL_Wine_PrefixCreate] Message: Creating prefix (1.5.25)...
[POL_Wine_PrefixCreate] Message: Prefix already exists
[POL_SetupWindow_menu] Message: menu answer: Erase (virtual drive content will be lost)
[POL_Wine_PrefixCreate] Message: Erase Prefix
[POL_Wine_PrefixCreate] Message: Using wine 1.5.25
[POL_Wine_InstallVersion] Message: Installing wine version path: 1.5.25, x86
[POL_Config_PrefixWrite] Message: Prefix config write: ARCH x86
[POL_Config_PrefixWrite] Message: Prefix config write: VERSION 1.5.25
[POL_Wine] Message: Running wine-1.5.25 --version (Working directory : /home/user/.PlayOnLinux)
[POL_Wine] Message: Notice: PlayOnLinux deliberately disables winemenubuilder. See http://www.playonlinux.com/fr/page-26-Winemenubuilder.html
[POL_Wine] Message: Wine return: 0
wine client error:0: version mismatch 439/431.
Your wine binary was not upgraded correctly,
or you have an older one somewhere in your PATH.
Or maybe the wrong wineserver is still running?
/home/user/.PlayOnLinux//wine/linux-x86/1.5.25/bin//wineserver
[POL_LoadVar_PROGRAMFILES] Message: Getting Program Files name
[POL_Wine] Message: Running wine-1.5.25 cmd /c echo %ProgramFiles% (Working directory : /home/user/.PlayOnLinux)
[POL_Wine] Message: Notice: PlayOnLinux deliberately disables winemenubuilder. See http://www.playonlinux.com/fr/page-26-Winemenubuilder.html
wine client error:0: version mismatch 439/431.
Your wine binary was not upgraded correctly,
or you have an older one somewhere in your PATH.
Or maybe the wrong wineserver is still running?
[POL_Wine] Error: Wine seems to have crashed

If your program is running, just ignore this message
/usr/share/playonlinux/lib/playonlinux.lib: line 319: 27495 Killed                  bash "$@"

(Also, because this is as good a place as any: thanks for the great work, folks! PlayOnLinux has already saved me a couple metric tons of time spent manually patching Wine and keeping a gazillion shell-scripts around managing my different games.)

cheers + thanks in advance,
rbarclay
petch Friday 4 October 2013 at 22:11
petch
Developer

This usually means some wineserver was still around and didn't get killed when you changed Wine version.
Try the "Close" button; If it doesn't work, restart PlayOnLinux.
rbarclay4711 Friday 4 October 2013 at 22:18
rbarclay4711Anonymous

Thanks for your quick reply!

Sorry, I forgot to mention that: I already tried "close", "close all playonlinux software", and restarting POL. Also, 'ps ax | grep wine' and 'ps ax | grep exe' show no remnants.
(I also sttace'd POL,. but didn't see anything obvious.)
petch Friday 4 October 2013 at 22:56
petch
Developer

I'd go for reinstalling Wine 1.5.25, but after that I'm running out of ideas...
rbarclay4711 Friday 4 October 2013 at 23:09
rbarclay4711Anonymous

That did it - thanks!

(No idea what was going on - bitrot on the harddisk or something else.)